t.vect.list(1)

NAME
t.vect.list - Lists registered maps of a space time vector dataset.

KEYWORDS
temporal, map management, vector, list, time

SYNOPSIS
t.vect.list
t.vect.list --help
t.vect.list [-u] input=name [order=string[,string,...]] [columns=string[,string,...]] [where=sql_query] [method=string] [separator=character] [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-u
    Suppress printing of column names

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time vector dataset

order=string[,string,...]
    Sort the space time dataset by category
    Options: id, name, layer, creator, mapset, temporal_type, creation_time, start_time, end_time, north, south, west, east, points, lines, boundaries, centroids, faces, kernels, primitives, nodes, areas, islands, holes, volumes
    Default: start_time

columns=string[,string,...]
    Columns to be printed to stdout
    Options: id, name, layer, creator, mapset, temporal_type, creation_time, start_time, end_time, north, south, west, east, points, lines, boundaries, centroids, faces, kernels, primitives, nodes, areas, islands, holes, volumes
    Default: name,layer,mapset,start_time,end_time

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword used in the temporal GIS framework
    Example: start_time > ’2001-01-01 12:30:00’

method=string
    Method used for data listing
    Options: cols, comma, delta, deltagaps, gran
    Default: cols

separator=character
    Field separator character between the output columns
    Special characters: pipe, comma, space, tab, newline
    Default: pipe

output=name
    Name for output file

DESCRIPTION
This module provides the same functionality as t.rast.list, the only difference is the vector map layer metadata.

EXAMPLE

  Default query
This example show a relative space time vector dataset with the first three maps with a range of years, instead the last five are valid only for one year:

t.vect.list shoreline@shoreline
name|layer|mapset|start_time|end_time
shoreline_1849_1873|None|shoreline|1849|1873
shoreline_1925_1946|None|shoreline|1925|1946
shoreline_1970_1988|None|shoreline|1970|1988
shoreline_1997|None|shoreline|1997|None
shoreline_1998|None|shoreline|1998|None
shoreline_2003|None|shoreline|2003|None
shoreline_2004|None|shoreline|2004|None
shoreline_2009|None|shoreline|2009|None

  Using method option
Method option is able to show vector in different way. By default cols value is used, the value deltagaps will print the delta between maps and also the gaps if they exist (like in this example).

t.vect.list method=deltagaps input=shoreline
id|name|layer|mapset|start_time|end_time|interval_length|distance_from_begin
shoreline_1849_1873@shoreline|shoreline_1849_1873|None|shoreline|1849|1873|24|0
None|None|None|None|1873|1925|52|24
shoreline_1925_1946@shoreline|shoreline_1925_1946|None|shoreline|1925|1946|21|76
None|None|None|None|1946|1970|24|97
shoreline_1970_1988@shoreline|shoreline_1970_1988|None|shoreline|1970|1988|18|121
None|None|None|None|1988|1997|9|139
shoreline_1997@shoreline|shoreline_1997|None|shoreline|1997|None|None|148
None|None|None|None|1997|1998|1|148
shoreline_1998@shoreline|shoreline_1998|None|shoreline|1998|None|None|149
None|None|None|None|1998|2003|5|149
shoreline_2003@shoreline|shoreline_2003|None|shoreline|2003|None|None|154
None|None|None|None|2003|2004|1|154
shoreline_2004@shoreline|shoreline_2004|None|shoreline|2004|None|None|155
None|None|None|None|2004|2009|5|155
shoreline_2009@shoreline|shoreline_2009|None|shoreline|2009|None|None|160

SEE ALSO
g.list, t.create, t.info, t.list, t.rast.list, t.rast3d.list

AUTHOR
Sören Gebbert

Last changed: $Date$

SOURCE CODE

Available at: t.vect.list source code (history)

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual